GET /repos/{owner}/{repo}/pulls/comments
Operation ID: pulls/list-review-comments-for-repo
Auth: bearer_token
Description
Lists review comments for all pull requests in a repository. By default, review comments are in ascending order by ID. This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)." - **`application/vnd.github-commitcomment.raw+json`**: Returns the raw markdown body. Response will include `body`. This is the default if you do not pass any specific media type. - **`application/vnd.github-commitcomment.text+json`**: Returns a text only representation of the markdown body. Response will include `body_text`. - **`application/vnd.github-commitcomment.html+json`**: Returns HTML rendered from the body's markdown. Response will include `body_html`. - **`application/vnd.github-commitcomment.full+json`**: Returns raw, text, and HTML representations. Response will include `body`, `body_text`, and `body_html`.
Parameters (7)
(string, query, optional)
The direction to sort results. Ignored without `sort` parameter.
Constraints: {'enum': ['asc', 'desc']}
(string, path, required)
The account owner of the repository. The name is not case sensitive.
(integer, query, optional, default: 1)
The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(integer, query, optional, default: 30)
The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(string, path, required)
The name of the repository without the `.git` extension. The name is not case sensitive.
(string, query, optional)
Only show results that were last updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
(string, query, optional)
Constraints: {'enum': ['created', 'updated', 'created_at']}
No probe data for this endpoint yet.